﻿using C1.Silverlight.Chart;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Media.Imaging;
using System.Windows.Shapes;

namespace SL_InsertImageInChart
{
    public partial class MainPage : UserControl
    {
        public MainPage()
        {
            InitializeComponent();
        }

        private void DataSeries_PlotElementLoaded(object sender, EventArgs e)
        {
            PlotElement plot_ele = sender as PlotElement;
            if (plot_ele != null)
            {
                // get datapoint which includes series and series index info
                var dataPoint = plot_ele.DataPoint;

                // create an instance of the ChartPanel
                var panel = new ChartPanel();

                // create an instance of the ChartPanelObject
                var panel_object = new ChartPanelObject()
                {
                    HorizontalAlignment = HorizontalAlignment.Stretch,
                    VerticalAlignment = VerticalAlignment.Bottom
                };

                var border = new Border();
                var stack_panel = new StackPanel();
                Image image = new Image();

                // Exclaimation mark for the engineers handling less than 20 cases
                if (dataPoint.SeriesIndex == 0 && dataPoint.Value <= 20)
                {
                    BitmapImage image_source = new BitmapImage(new Uri("../Images/needsAttention.jpeg", UriKind.Relative));
                    panel_object.HorizontalAlignment = HorizontalAlignment.Right;
                    image.Source = image_source;
                    panel_object.Height = 30;
                    panel_object.Width = 25;
                    panel_object.AxisY = "y1";
                }

                // Star Performer -> Engineer having Rating as 5
                else if (dataPoint.SeriesIndex == 1 && dataPoint.Value == 5)
                {
                    BitmapImage img = new BitmapImage(new Uri("../Images/StarPerformer.jpg", UriKind.Relative));
                    panel_object.HorizontalAlignment = HorizontalAlignment.Left;
                    image.Source = img;
                    panel_object.Height = 30;
                    panel_object.Width = 25;
                    panel_object.AxisY = "ay2";
                }

                stack_panel.Children.Add(image);
                border.Child = stack_panel;
                panel_object.Content = border;

                panel_object.DataPoint = new Point(dataPoint.PointIndex, dataPoint.Value);
                panel_object.Attach = ChartPanelAttach.None;

                // ChartPanelObject added to the ChartPanel
                panel.Children.Add(panel_object);

                // ChartPanel finally included in the Layers Collection      
                c1Chart1.View.Layers.Add(panel);

            }

        }
    }
}
